libgutenprint API Reference: include/gutenprint/curve-cache.h File Reference

libgutenprint API Reference 5.3.4

Data Structures | Macros | Functions
curve-cache.h File Reference

Curve caching functions. More...

`#include <gutenprint/curve.h>`

## Data Structures
struct | stp_cached_curve_t

## Macros
#define | CURVE_CACHE_FAST_USHORT(cache) ((cache)->s_cache)
#define | CURVE_CACHE_FAST_DOUBLE(cache) ((cache)->d_cache)
#define | CURVE_CACHE_FAST_COUNT(cache) ((cache)->count)

## Functions
void | stp_curve_free_curve_cache (stp_cached_curve_t *cache)
void | stp_curve_cache_curve_data (stp_cached_curve_t *cache)
stp_curve_t * | stp_curve_cache_get_curve (stp_cached_curve_t *cache)
void | stp_curve_cache_curve_invalidate (stp_cached_curve_t *cache)
void | stp_curve_cache_set_curve (stp_cached_curve_t *cache, stp_curve_t *curve)
void | stp_curve_cache_set_curve_copy (stp_cached_curve_t *cache, const stp_curve_t *curve)
size_t | stp_curve_cache_get_count (stp_cached_curve_t *cache)
const unsigned short * | stp_curve_cache_get_ushort_data (stp_cached_curve_t *cache)
const double * | stp_curve_cache_get_double_data (stp_cached_curve_t *cache)
void | stp_curve_cache_copy (stp_cached_curve_t *dest, const stp_cached_curve_t *src)

## Detailed Description

Curve caching functions.

## Macro Definition Documentation

## ◆ CURVE_CACHE_FAST_COUNT

#define CURVE_CACHE_FAST_COUNT | ( |  | cache | ) | ((cache)->count)

## ◆ CURVE_CACHE_FAST_DOUBLE

#define CURVE_CACHE_FAST_DOUBLE | ( |  | cache | ) | ((cache)->d_cache)

## ◆ CURVE_CACHE_FAST_USHORT

#define CURVE_CACHE_FAST_USHORT | ( |  | cache | ) | ((cache)->s_cache)

## Function Documentation

## ◆ stp_curve_cache_copy()

void stp_curve_cache_copy | ( | stp_cached_curve_t * | dest,
|  | const stp_cached_curve_t * | src
| ) |  |

## ◆ stp_curve_cache_curve_data()

void stp_curve_cache_curve_data | ( | stp_cached_curve_t * | cache | ) |

## ◆ stp_curve_cache_curve_invalidate()

void stp_curve_cache_curve_invalidate | ( | stp_cached_curve_t * | cache | ) |

## ◆ stp_curve_cache_get_count()

size_t stp_curve_cache_get_count | ( | stp_cached_curve_t * | cache | ) |

## ◆ stp_curve_cache_get_curve()

stp_curve_t* stp_curve_cache_get_curve | ( | stp_cached_curve_t * | cache | ) |

## ◆ stp_curve_cache_get_double_data()

const double* stp_curve_cache_get_double_data | ( | stp_cached_curve_t * | cache | ) |

## ◆ stp_curve_cache_get_ushort_data()

const unsigned short* stp_curve_cache_get_ushort_data | ( | stp_cached_curve_t * | cache | ) |

## ◆ stp_curve_cache_set_curve()

void stp_curve_cache_set_curve | ( | stp_cached_curve_t * | cache,
|  | stp_curve_t * | curve
| ) |  |

## ◆ stp_curve_cache_set_curve_copy()

void stp_curve_cache_set_curve_copy | ( | stp_cached_curve_t * | cache,
|  | const stp_curve_t * | curve
| ) |  |

## ◆ stp_curve_free_curve_cache()

void stp_curve_free_curve_cache | ( | stp_cached_curve_t * | cache | ) |